Bug 75155 - lndir doesn't work with relative symlink
lndir doesn't work with relative symlink
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 17:33 EDT by hjl
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-21 05:21:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A tar ball to show the bug (311 bytes, application/octet-stream)
2002-10-04 17:34 EDT, hjl
no flags Details
A patch to fix relative symlinks (1.59 KB, patch)
2002-10-04 17:35 EDT, hjl
no flags Details | Diff
A new patch to fix a typo (1.65 KB, patch)
2002-10-04 20:37 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2002-10-04 17:33:10 EDT
If you have relative symlinks, lndir doesn't work
too well. I will upload a tar file. Do

# tar xfz l.tar.gz
# cd linux/src
# lndir ../../gnu/src
# ls -l
total 0
lrwxrwxrwx    1 hjl      users           6 Oct  4 14:32 bar -> ../bar
lrwxrwxrwx    1 hjl      users          13 Oct  4 14:32 foo -> ../import/foo
# cat foo bar
cat: foo: No such file or directory
cat: bar: No such file or directory
Comment 1 hjl 2002-10-04 17:34:18 EDT
Created attachment 78764 [details]
A tar ball to show the bug
Comment 2 hjl 2002-10-04 17:35:46 EDT
Created attachment 78765 [details]
A patch to fix relative symlinks
Comment 3 hjl 2002-10-04 20:37:28 EDT
Created attachment 78804 [details]
A new patch to fix a typo
Comment 4 Mike A. Harris 2002-12-21 05:21:59 EST
Applied to XFree86 4.2.1-10.2 build.  Should be on p.r.c soon also, and in
all future erratum (when released).

Thanks H.J.

Note You need to log in before you can comment on or make changes to this bug.